import SaveIcon from '@/assets/images/navBar/save.png'
import PrevIcon from '@/assets/images/navBar/prev.png'
import NextIcon from '@/assets/images/navBar/next.png'
import LockIcon from '@/assets/images/navBar/lock.png'
import CameraIcon from '@/assets/images/navBar/camera.png'
import ControlIcon from '@/assets/images/navBar/control.png'
import GlobalIcon from '@/assets/images/navBar/global.png'
import CommIcon from '@/assets/images/navBar/comm.png'
import TriggerIcon from '@/assets/images/navBar/trigger.png'
import ScriptIcon from '@/assets/images/navBar/script.png'
import SingleExecIcon from '@/assets/images/navBar/single_execution.png'
import ContinuousExecIcon from '@/assets/images/navBar/continuous_execution.png'
import RunInterfaceIcon from '@/assets/images/navBar/run_interface.png'
import RunModelIcon from '@/assets/images/navBar/run_model.png'

export interface ControlsItemType {
  icon: any
  text: string
  type: string
}

export const navControlsConf: ControlsItemType[] = [
  {
    icon: SaveIcon,
    text: '保存',
    type: 'save'
  },
  {
    icon: PrevIcon,
    text: '上一步',
    type: 'undo'
  },
  {
    icon: NextIcon,
    text: '下一步',
    type: 'redo'
  },
  {
    icon: LockIcon,
    text: '锁定',
    type: 'lock'
  },
  {
    icon: CameraIcon,
    text: '相机管理'
  },
  {
    icon: ControlIcon,
    text: '控制器管理'
  },
  {
    icon: GlobalIcon,
    text: '全局变量'
  },
  {
    icon: CommIcon,
    text: '通信管理'
  },
  {
    icon: TriggerIcon,
    text: '全局触发'
  },
  {
    icon: ScriptIcon,
    text: '全局脚本'
  },
  {
    icon: SingleExecIcon,
    text: '单次执行'
  },
  {
    icon: ContinuousExecIcon,
    text: '连续执行'
  },
  {
    icon: RunInterfaceIcon,
    text: '编辑运行界面'
  },
  {
    icon: RunModelIcon,
    text: '运行模型'
  }
]
