module.exports = {
  content: [
    './index.html',
    './src/renderer/**/*.{vue,js,ts,jsx,tsx}'
  ],
  theme: {
    extend: {
      colors: {
        primary: {
          light: '#409EFF',
          DEFAULT: '#3375b9',
          dark: '#2a598a'
        },
        dark: {
          800: '#374151',
          900: '#1f2937'
        }
      },
      boxShadow: {
        'card': '0 4px 6px rgba(0, 0, 0, 0.1)',
        'card-hover': '0 10px 15px rgba(0, 0, 0, 0.1)'
      }
    },
  },
  plugins: [],
}