/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2025-07-08 17:07:13
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2025-07-10 10:18:22
 * @FilePath: \Robot-Al-Platform-Web\src\renderer\src\api\log.ts
 * @Description: 日志管理
 */
import request from '@/utils/request/instance'

type ResultList = {
  success: boolean
  data?: {
    count: number // 总条数
    page: number // 当前页
    pageSize: number // 每页条数
    /** 列表数据 */
    data: Array<any>
  }
}

/** 获取日志 */

export const getLogListApi = (params: { url: string }) => {
  return request.get<ResultList>(`/api/getLogList`, params, {
    showLoading: false // 单独关闭loading
  })
}
