/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2025-07-14 14:30:34
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2025-07-14 16:12:13
 * @FilePath: \Robot-Al-Platform-Web\src\renderer\src\config\designCanvas.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
export const logicFlowConf = {
  background: {
    backgroundColor: '#242529'
  },
  snapline: {
    stroke: '#ff0000', // 对齐线颜色
    strokeWidth: 1 // 对齐线宽度
  }
}

export const logicFlowThemeConf = {
  baseNode: {
    fill: '#fff',
    stroke: '#154DDD',
    strokeWidth: 2
  },
  nodeText: {
    color: '#ff0000',
    overflowMode: 'default',
    lineHeight: 1.2,
    fontSize: 12
  },
  line: {
    stroke: '#154DDD',
    strokeWidth: 2
  },
  polyline: {
    stroke: '#154DDD',
    strokeWidth: 2
  },
  edgeText: {
    textWidth: 100,
    overflowMode: 'default',
    fontSize: 12,
    background: {
      fill: 'transparent'
    }
  }
}
