/**成功返回数据结构 */
export interface successMockApiProps {
  code: number; // 0 成功
  success: boolean; // true 成功
  data: any; // mock业务层数据
  msg: string | undefined; // 成功提示
  isMock: boolean; // true 标识当前是模拟数据
}

/**失败返回数据结构 */
export interface failMockApiProps {
  code?: number; // 7 失败
  success: boolean; // false 失败
  data: any; // mock业务层数据
  msg: string | undefined; // 成功提示
  isMock: boolean; // true 标识当前是模拟数据
}
